import { Options } from './options.js';
import { TemplateService } from './template-service.js';
import { ProviderService } from './provider-service.js';
import { ProviderType } from './provider-type.js';
export declare class Airhorn {
    options: Options;
    private readonly _templateService;
    private readonly _providerService;
    constructor(options?: any);
    get templates(): TemplateService;
    get providers(): ProviderService;
    send(to: string, from: string, templateName: string, providerType: ProviderType, data?: any, languageCode?: string): Promise<boolean>;
    sendSMTP(to: string, from: string, templateName: string, data?: any, languageCode?: string): Promise<boolean>;
    sendSMS(to: string, from: string, templateName: string, data?: any, languageCode?: string): Promise<boolean>;
    sendWebhook(to: string, from: string, templateName: string, data?: any, languageCode?: string): Promise<boolean>;
    sendMobilePush(to: string, from: string, templateName: string, data?: any, languageCode?: string): Promise<boolean>;
}
export { ProviderType } from './provider-type.js';
//# sourceMappingURL=airhorn.d.ts.map