/* eslint-disable n/prefer-global/process */
/* eslint-disable @typescript-eslint/no-unsafe-argument */
export class Options {
    constructor(options) {
        this.TEMPLATE_PATH = './templates';
        this.DEFAULT_TEMPLATE_LANGUAGE = 'en';
        this.ENVIRONMENT = 'development';
        this.TWILIO_SMS_ACCOUNT_SID = '';
        this.TWILIO_SMS_AUTH_TOKEN = '';
        this.TWILIO_SENDGRID_API_KEY = '';
        this.AWS_SES_REGION = '';
        this.AWS_SMS_REGION = '';
        this.AWS_SNS_REGION = '';
        this.FIREBASE_CERT = '';
        if (options) {
            this.parse(options);
        }
        /* Set the node environment */
        if (process.env.NODE_ENV !== 'undefined' && process.env.NODE_ENV !== undefined) {
            this.ENVIRONMENT = process.env.NODE_ENV;
        }
    }
    parse(options) {
        this.TEMPLATE_PATH = this.getValueFromOptionsOrEnv(options, 'TEMPLATE_PATH', this.TEMPLATE_PATH);
        this.DEFAULT_TEMPLATE_LANGUAGE = this.getValueFromOptionsOrEnv(options, 'DEFAULT_TEMPLATE_LANGUAGE', this.DEFAULT_TEMPLATE_LANGUAGE);
        this.TWILIO_SMS_ACCOUNT_SID = this.getValueFromOptionsOrEnv(options, 'TWILIO_SMS_ACCOUNT_SID', this.TWILIO_SMS_ACCOUNT_SID);
        this.TWILIO_SMS_AUTH_TOKEN = this.getValueFromOptionsOrEnv(options, 'TWILIO_SMS_AUTH_TOKEN', this.TWILIO_SMS_AUTH_TOKEN);
        this.TWILIO_SENDGRID_API_KEY = this.getValueFromOptionsOrEnv(options, 'TWILIO_SENDGRID_API_KEY', this.TWILIO_SENDGRID_API_KEY);
        this.AWS_SES_REGION = this.getValueFromOptionsOrEnv(options, 'AWS_SES_REGION', this.AWS_SES_REGION);
        this.AWS_SMS_REGION = this.getValueFromOptionsOrEnv(options, 'AWS_SMS_REGION', this.AWS_SMS_REGION);
        this.AWS_SNS_REGION = this.getValueFromOptionsOrEnv(options, 'AWS_SNS_REGION', this.AWS_SNS_REGION);
        this.FIREBASE_CERT = this.getValueFromOptionsOrEnv(options, 'FIREBASE_CERT', this.FIREBASE_CERT);
    }
    cleanValue(value) {
        if (value) {
            return value.toString().trim();
        }
        return '';
    }
    getValueFromOptionsOrEnv(options, env, defaultValue) {
        if (options[env]) {
            return this.cleanValue(options[env]);
        }
        if (process.env[env]) {
            return this.cleanValue(process.env[env]);
        }
        return defaultValue;
    }
}
//# sourceMappingURL=options.js.map