import { Options } from './options.js';
import type { ProviderInterface } from './provider-interface.js';
import { ProviderType } from './provider-type.js';
export declare class ProviderService {
    options: Options;
    private readonly _providers;
    constructor(options?: any);
    get providers(): ProviderInterface[];
    get sms(): ProviderInterface[];
    get smtp(): ProviderInterface[];
    get webhook(): ProviderInterface[];
    get mobilePush(): ProviderInterface[];
    getProviderByType(type: ProviderType): ProviderInterface[];
    removeProvider(name: string): void;
    addProvider(provider: ProviderInterface): void;
    providerExists(name: string): boolean;
    updateProvider(provider: ProviderInterface): void;
    getProvider(name: string): ProviderInterface | undefined;
    loadProviders(): void;
}
//# sourceMappingURL=provider-service.d.ts.map