import { SendEmailCommand, SESClient } from '@aws-sdk/client-ses';
import { ProviderType } from '../provider-type.js';
export class AWSSES {
    constructor(region) {
        this.name = 'aws-ses';
        this.type = ProviderType.SMTP;
        this.region = region;
        this.client = new SESClient({ region: this.region });
    }
    async send(to, from, message, subject) {
        const parameters = {
            Destination: {
                CcAddresses: [],
                ToAddresses: [to],
            },
            Message: {
                Body: {
                    Html: {
                        Charset: 'utf8',
                        Data: message,
                    },
                    Text: {
                        Charset: 'utf8',
                        Data: message,
                    },
                },
                Subject: {
                    Charset: 'utf8',
                    Data: subject ?? '',
                },
            },
            Source: 'SENDER_ADDRESS',
            ReplyToAddresses: [from],
        };
        await this.client.send(new SendEmailCommand(parameters));
        return true;
    }
}
//# sourceMappingURL=aws-ses.js.map