import { SNS } from '@aws-sdk/client-sns';
import { ProviderType } from '../provider-type.js';
export class AWSSMS {
    constructor(region) {
        this.name = 'aws-sms';
        this.type = ProviderType.SMS;
        this.region = region;
        this.client = new SNS({ apiVersion: '2010-03-31', region: this.region });
    }
    async send(to, from, message) {
        const parameters = {
            Message: message,
            PhoneNumber: to,
        };
        await this.client.publish(parameters);
        return true;
    }
}
//# sourceMappingURL=aws-sms.js.map