import { SNS } from '@aws-sdk/client-sns';
import { ProviderType } from '../provider-type.js';
export class AWSSNS {
    constructor(region) {
        this.name = 'aws-sns';
        this.type = ProviderType.MOBILE_PUSH;
        this.region = region;
        this.client = new SNS({ apiVersion: '2010-03-31', region: this.region });
    }
    async send(to, from, message) {
        const parameters = {
            Message: message,
            TopicArn: to,
        };
        await this.client.publish(parameters);
        return true;
    }
}
//# sourceMappingURL=aws-sns.js.map