/* eslint-disable n/file-extension-in-import */
/* eslint-disable unicorn/no-negated-condition */
import firebase from 'firebase-admin';
import { ProviderType } from '../provider-type.js';
export class FirebaseMessaging {
    constructor(cert) {
        this.name = 'firebase-messaging';
        this.type = ProviderType.MOBILE_PUSH;
        this.cert = cert;
        if (firebase.apps.length === 0) {
            const certSource = !this.cert.endsWith('.json') ? JSON.parse(this.cert) : this.cert;
            firebase.initializeApp({
                credential: firebase.credential.cert(certSource),
            });
            this.client = firebase.messaging();
        }
    }
    async send(to, from, message) {
        const { title, body } = JSON.parse(message);
        const parameters = {
            notification: {
                title,
                body,
            },
            token: to,
        };
        if (this.client) {
            await this.client.send(parameters);
            return true;
        }
        return false;
    }
}
//# sourceMappingURL=firebase-messaging.js.map