import twilio from 'twilio';
import { ProviderType } from '../provider-type.js';
export class TwilioSMS {
    constructor(accountSID, authToken) {
        this.name = 'twilio-sms';
        this.type = ProviderType.SMS;
        this.accountSID = '';
        this.authToken = '';
        if (accountSID) {
            this.accountSID = accountSID;
        }
        if (authToken) {
            this.authToken = authToken;
        }
        this.client = twilio(this.accountSID, this.authToken);
    }
    async send(to, from, message, subject) {
        await this.client.messages.create({ from, to, body: message });
        return true;
    }
}
//# sourceMappingURL=twilio-sms.js.map