import { got } from 'got';
import { ProviderType } from '../provider-type.js';
export class WebHook {
    constructor() {
        this.name = 'webhook';
        this.type = ProviderType.WEBHOOK;
    }
    async send(to, from, message, subject) {
        const messageData = JSON.parse(message);
        if (!subject) {
            messageData.subject = subject;
        }
        const messageString = JSON.stringify(messageData);
        await got.post(to, { json: messageString });
        return true;
    }
}
//# sourceMappingURL=webhook.js.map