import { Options } from './options.js';
import { TemplateText } from './template-text.js';
export declare class Template {
    options: Options;
    filePath?: string;
    private readonly text;
    constructor(filePath?: string);
    get name(): string;
    getText(serviceType: string, languageCode?: string): TemplateText;
    getProperty(serviceType: string, propertyName: string, languageCode?: string): string;
    setText(serviceType: string, languageCode: string, text: string, format: string, properties?: any): void;
    loadTemplate(filePath?: string): void;
    render(serviceType: string, data?: any, languageCode?: string): Promise<string>;
    getFileName(filePath?: string): string;
    generateKey(languageCode: string, serviceType: string): string;
    loadTemplateDirectory(filePath: string, languageCode: string): void;
    loadTemplateFile(filePath: string, languageCode?: string): void;
}
//# sourceMappingURL=template.d.ts.map